| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes

# IG::Num::SimKosecFileManagerConvBase Class Reference

Base class for interface with simulator of G. Kosec for convection problems in a cave with obstacles. More...

Inheritance diagram for IG::Num::SimKosecFileManagerConvBase:
[legend]
Collaboration diagram for IG::Num::SimKosecFileManagerConvBase:
[legend]

List of all members.

## Public Member Functions
| SimKosecFileManagerConvBase (string dataDirectory)
| Constructor.
| SimKosecFileManagerConvBase (string dataDirectory, double thickness, double obstacleLength)
| Constructor.
| SimKosecFileManagerConvBase (string dataDirectory, double thickness)
| Constructor.
## Public Attributes
double | ObstacleThickness = 0.1
| Thickness of obstacless.
double | ObstacleLength = 0.4
| Length of obstacle.
double | SimulationTime = 20.0
| Simulation time.
double | MaxX = 1
| Domain upper bound in X direction.
double | MaxY = 1
| Domain upper bound in X direction.
int | NumX = 0
| Number of nodes in X direction.
int | NumY = 0
| Number of nodes in Y direction.
double | DX = 0
| Step in X direction.
double | DY = 0
| Step in Y direction.
double | MinX = 0
| Domain lower bound in X direction.
double | MinY = 0
| Domain lower bound in Y direction.
## Protected Member Functions
override void | Init ()
| Initializes internal variables. Called at the beginning of all constructors. To be overridden in derived classes!
override void | InstallInputFields ()
| Installs data about input fields that can be queried and set in the input file.
override void | InstallInputMappings ()
| Installs definitions of default values of input fields that are automatically set before running the simulation, and eventually definitios for mappings between (optimization) input parameters and input fields in input file. The latter are eventually used when for each input (optimization) parameter there exists a field that corresponds to that parameter. Many times this is not true because a single optimization parameters can affect a whole set of input fields.When running simulator by calling CalculateVectorResponse, input is prepared in the following order: First default parameters are set, then automatic mappings are performed (if any are defined) and finally the manual mappings are performed by calling UpdateInputParametersManual, thus manually defined parameter mapping overrides all others when defined.
## Protected Attributes
int | _numParameters = 0

## Detailed Description

Base class for interface with simulator of G. Kosec for convection problems in a cave with obstacles.

## Constructor & Destructor Documentation

IG::Num::SimKosecFileManagerConvBase::SimKosecFileManagerConvBase | ( | string | dataDirectory | ) | `[inline]`

Constructor.

Parameters:

  dataDirectory | Base directory for simulation.

IG::Num::SimKosecFileManagerConvBase::SimKosecFileManagerConvBase | ( | string | dataDirectory,
|  | double | thickness,
|  | double | obstacleLength
| ) |  | `[inline]`

Constructor.

Parameters:

  dataDirectory | Base directory for simulation.
  thickness | Obstacle thickness.
  obstacleLength | Obstacle length.

IG::Num::SimKosecFileManagerConvBase::SimKosecFileManagerConvBase | ( | string | dataDirectory,
|  | double | thickness
| ) |  | `[inline]`

Constructor.

Parameters:

  dataDirectory | Base directory for simulation.
  thickness | Obstacle thickness.

## Member Function Documentation

override void IG::Num::SimKosecFileManagerConvBase::Init | ( |  | ) | `[inline, protected, virtual]`

Initializes internal variables. Called at the beginning of all constructors. To be overridden in derived classes!

Implements IG::Num::SimKosecFileManagerBase.

Reimplemented in IG::Num::SimKosecFileManagerConv2.

override void IG::Num::SimKosecFileManagerConvBase::InstallInputFields | ( |  | ) | `[inline, protected, virtual]`

Installs data about input fields that can be queried and set in the input file.

Reimplemented from IG::Num::SimKosecFileManagerBase.

override void IG::Num::SimKosecFileManagerConvBase::InstallInputMappings | ( |  | ) | `[inline, protected, virtual]`

Installs definitions of default values of input fields that are automatically set before running the simulation, and eventually definitios for mappings between (optimization) input parameters and input fields in input file. The latter are eventually used when for each input (optimization) parameter there exists a field that corresponds to that parameter. Many times this is not true because a single optimization parameters can affect a whole set of input fields.When running simulator by calling CalculateVectorResponse, input is prepared in the following order: First default parameters are set, then automatic mappings are performed (if any are defined) and finally the manual mappings are performed by calling UpdateInputParametersManual, thus manually defined parameter mapping overrides all others when defined.

Implements IG::Num::SimKosecFileManagerBase.

## Member Data Documentation

int IG::Num::SimKosecFileManagerConvBase::_numParameters = 0`[protected]`

double IG::Num::SimKosecFileManagerConvBase::ObstacleThickness = 0.1

Thickness of obstacless.

double IG::Num::SimKosecFileManagerConvBase::ObstacleLength = 0.4

Length of obstacle.

double IG::Num::SimKosecFileManagerConvBase::SimulationTime = 20.0

Simulation time.

double IG::Num::SimKosecFileManagerConvBase::MaxX = 1

Domain upper bound in X direction.

double IG::Num::SimKosecFileManagerConvBase::MaxY = 1

Domain upper bound in X direction.

int IG::Num::SimKosecFileManagerConvBase::NumX = 0

Number of nodes in X direction.

int IG::Num::SimKosecFileManagerConvBase::NumY = 0

Number of nodes in Y direction.

double IG::Num::SimKosecFileManagerConvBase::DX = 0

Step in X direction.

double IG::Num::SimKosecFileManagerConvBase::DY = 0

Step in Y direction.

double IG::Num::SimKosecFileManagerConvBase::MinX = 0

Domain lower bound in X direction.

double IG::Num::SimKosecFileManagerConvBase::MinY = 0

Domain lower bound in Y direction.

The documentation for this class was generated from the following file:

- SimKosecFileManager.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events